import request from '@/utils/request'

// 查询期货股票账单列表
export function listFutureStocksBill(query) {
    return request({
        url: '/invest/futureStocksBill/list',
        method: 'get',
        params: query
    })
}

// 查询期货股票账单详细
export function getFutureStocksBill(id) {
    return request({
        url: '/invest/futureStocksBill/' + id,
        method: 'get'
    })
}

// 新增期货股票账单
export function addFutureStocksBill(data) {
    return request({
        url: '/invest/futureStocksBill',
        method: 'post',
        data: data
    })
}

// 修改期货股票账单
export function updateFutureStocksBill(data) {
    return request({
        url: '/invest/futureStocksBill',
        method: 'put',
        data: data
    })
}

// 删除期货股票账单
export function delFutureStocksBill(id) {
    return request({
        url: '/invest/futureStocksBill/' + id,
        method: 'delete'
    })
}
